/// <reference types="react" />
import * as React from 'react';
export interface Props {
    rowRenderer: any;
    rowHeight: number;
    height: number;
    width: number;
    totalWidth: any;
    style?: string;
    className?: string;
    displayStart: number;
    displayEnd: number;
    visibleStart: number;
    visibleEnd: number;
    colVisibleStart: number;
    colVisibleEnd: number;
    colDisplayStart: number;
    colDisplayEnd: number;
    rowsCount: number;
    rowGetter: any;
    expandedRows: any;
    onRows: Function;
    onScroll: Function;
    columns: any;
    cellMetaData: any;
    selectedRows: any;
    rowKey: string;
    rowScrollTimeout: number;
    contextMenu: any;
    getSubRowDetails: Function;
    rowSelection: any;
    rowGroupRenderer: Function;
    isScrolling: boolean;
}
declare class Canvas extends React.Component<Props, any> {
    static defaultProps: Partial<Props>;
    rows: any[];
    _currentRowsLength: number;
    _currentRowsRange: {
        start: 0;
        end: 0;
    };
    _scroll: {
        scrollTop: 0;
        scrollLeft: 0;
    };
    constructor(props: Props);
    componentWillMount(): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    onRows(): void;
    onScroll(e: any): void;
    getRows(displayStart: any, displayEnd: any): any[];
    getScrollbarWidth(): number;
    getScroll(): {
        scrollTop: number;
        scrollLeft: number;
    };
    isRowSelected(idx: any, row: any): any;
    setScrollLeft(scrollLeft: any): void;
    getRowByRef(i: number): any;
    renderRow(props: any): any;
    renderPlaceholder(key: string, height: number): JSX.Element;
    render(): JSX.Element;
}
export default Canvas;
