/// <reference types="react" />
import * as React from 'react';
import ExcelColumn from './PropTypeShapes/ExcelColumn';
import CellMetaDataShape from './PropTypeShapes/CellMetaDataShape';
export interface Props {
    rowIdx: number;
    idx: number;
    selected: {
        idx: number;
    };
    selectedColumn: object;
    height: number;
    tabIndex: number;
    column: ExcelColumn;
    value: any;
    isExpanded: boolean;
    isRowSelected: boolean;
    cellMetaData: CellMetaDataShape;
    handleDragStart: Function;
    className: string;
    cellControls: any;
    rowData: any;
    forceUpdate: boolean;
    expandableOptions: any;
    isScrolling: boolean;
    tooltip: string;
    isCellValueChanging: Function;
}
declare class Cell extends React.Component<Props, any> {
    static defaultProps: Partial<Props>;
    constructor(props: Props);
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    componentDidUpdate(): void;
    shouldComponentUpdate(nextProps: any): boolean;
    onCellClick(e: any): void;
    onCellContextMenu(): void;
    onCellDoubleClick(e: any): void;
    onCellExpand(e: any): void;
    onCellKeyDown(e: any): void;
    onDeleteSubRow(): void;
    onDragHandleDoubleClick(e: any): void;
    onDragOver(e: any): void;
    getStyle(): {
        position: string;
        width: number;
        height: number;
        left: any;
        contain: string;
    };
    getFormatter(): any;
    getRowData(props?: Readonly<{
        children?: React.ReactNode;
    }> & Readonly<Props>): any;
    getFormatterDependencies(): any;
    getCellClass(): string;
    getUpdateCellClass(): any;
    isColumnSelected(): boolean;
    isSelected(): boolean;
    isActive(): boolean;
    isCellSelectionChanging(nextProps: {
        idx: number;
        cellMetaData: {
            selected: {
                idx: number;
            };
        };
    }): boolean;
    isCellSelectEnabled(): boolean | undefined;
    hasChangedDependentValues(nextProps: any): boolean;
    applyUpdateClass(): void;
    setScrollLeft(scrollLeft: number): void;
    removeScroll(): void;
    isCopied(): boolean;
    isDraggedOver(): boolean;
    wasDraggedOver(): boolean;
    isDraggedCellChanging(nextProps: any): boolean;
    isCopyCellChanging(nextProps: any): boolean;
    isDraggedOverUpwards(): boolean;
    isDraggedOverDownwards(): boolean;
    isFocusedOnBody(): boolean | "";
    isFocusedOnCell(): boolean;
    checkFocus(): void;
    canEdit(): any;
    canExpand(): any;
    createColumEventCallBack(onColumnEvent: any, info: any): (e: any) => void;
    createCellEventCallBack(gridEvent: any, columnEvent: any): (e: any) => void;
    createEventDTO(gridEvents: any, columnEvents: any, onColumnEvent: any): any;
    getEvents(): any;
    getKnownDivProps(): any;
    renderCellContent(props: any): JSX.Element;
    render(): JSX.Element | null;
}
export default Cell;
