import { Column, ColumnMetricsType } from './ColumnMetrics';
export interface Props {
    columns: Array<Column>;
    minColumnWidth: number;
    columnEquality: Function;
    onColumnResize: Function;
}
declare const ColumnMetricsMixin: {
    DOMMetrics: {
        gridWidth(): number;
    };
    getDefaultProps(): {
        minColumnWidth: number;
        columnEquality: (a: Column, b: Column) => boolean;
    };
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: ColumnMetricsType): void;
    getTotalWidth(): number;
    getColumnMetricsType(metrics: ColumnMetricsType): ColumnMetricsType;
    getColumn(idx: any): any;
    getSize(): any;
    metricsUpdated(): void;
    createColumnMetrics(props?: any): any;
    onColumnResize(index: number, width: number): void;
};
export default ColumnMetricsMixin;
