/// <reference types="react" />
import * as React from 'react';
import HeaderRow from './HeaderRow';
import cellMetaDataShape from './PropTypeShapes/CellMetaDataShape';
import { DEFINE_SORT } from './cells/headerCells/SortableHeaderCell';
export interface Column {
    width: number;
}
export interface Props {
    columnMetrics: any;
    totalWidth: any;
    height: number;
    headerRows: any;
    sortColumn: string;
    sortDirection: typeof DEFINE_SORT;
    onSort: Function;
    onColumnResize: Function;
    onScroll: Function;
    onHeaderDrop: Function;
    draggableHeaderCell: Function;
    getValidFilterValues: Function;
    cellMetaData: cellMetaDataShape;
}
declare class Header extends React.Component<Props, any> {
    filterRow: any;
    row: any;
    constructor(props: Props);
    componentWillReceiveProps(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    onColumnResize(column: Column, width: number): void;
    onColumnResizeEnd(column: Column, width: number): void;
    getHeaderRows(): Array<HeaderRow>;
    getColumnMetrics(): any;
    getColumnPosition(column: any): any;
    getCombinedHeaderHeights(until: any): number;
    getStyle(): {
        position: string;
        height: number;
    };
    setScrollLeft(scrollLeft: number): void;
    getKnownDivProps(): any;
    onHeaderClick(): void;
    render(): JSX.Element;
}
export default Header;
