/// <reference types="react" />
import * as React from 'react';
import { DEFINE_SORT } from './cells/headerCells/SortableHeaderCell';
export interface HeaderRowStyle {
    overflow: string;
    width: any;
    height?: number;
    position: string;
}
export interface Props {
    width: any;
    height: number;
    columns: any;
    onColumnResize: Function;
    onSort: any;
    onColumnResizeEnd: Function;
    style: HeaderRowStyle;
    sortColumn: string;
    sortDirection: typeof DEFINE_SORT;
    cellRenderer?: Function;
    headerCellRenderer?: Function;
    filterable: boolean;
    onFilterChange: any;
    resizing: {};
    onScroll: Function;
    rowType: string;
    draggableHeaderCell: any;
    onHeaderDrop: Function;
}
declare class HeaderRow extends React.Component<Props, any> {
    cells: any;
    componentWillMount(): void;
    shouldComponentUpdate(nextProps: any): boolean;
    getHeaderCellType(column: any): number;
    getFilterableHeaderCell(column: any): JSX.Element;
    getSortableHeaderCell(column: any): JSX.Element;
    getHeaderRenderer(column: any): any;
    getStyle(): HeaderRowStyle;
    getCells(): JSX.Element[];
    setScrollLeft(scrollLeft: number): void;
    getKnownDivProps(): any;
    render(): JSX.Element;
}
export default HeaderRow;
