/// <reference types="react" />
import * as React from 'react';
import cellMetaDataShape from './PropTypeShapes/CellMetaDataShape';
export interface Props {
    height: number;
    columns: any;
    row: any;
    cellRenderer: Function;
    cellMetaData: cellMetaDataShape;
    isSelected: boolean;
    idx: number;
    expandedRows: any;
    extraClasses: string;
    forceUpdate: boolean;
    subRowDetails: any;
    isRowHovered: boolean;
    colVisibleStart: number;
    colVisibleEnd: number;
    colDisplayStart: number;
    colDisplayEnd: number;
    isScrolling: boolean;
}
declare class Row extends React.Component<Props, any> {
    static defaultProps: Partial<Props>;
    [key: string]: React.ReactNode;
    shouldComponentUpdate(nextProps: Props): boolean;
    handleDragEnter(): void;
    getSelectedColumn(): any;
    getCellRenderer(columnKey: any): Function;
    getCell(column: any, i: any, selectedColumn: any): JSX.Element;
    getCells(): any[];
    getRowHeight(): any;
    getCellValue(key: any): any;
    isContextMenuDisplayed(): boolean;
    getExpandableOptions(columnKey: any): {
        canExpand: boolean;
        field: any;
        expanded: any;
        children: any;
        treeDepth: any;
        subRowDetails: any;
    } | {};
    setScrollLeft(scrollLeft: any): void;
    getKnownDivProps(): any;
    renderCell(props: any): any;
    render(): JSX.Element;
}
export default Row;
