/// <reference types="react" />
import * as React from 'react';
import cellMetaDataShape from './PropTypeShapes/CellMetaDataShape';
export interface DefaultRowGroupRendererProps {
    onRowExpandClick: any;
    onRowExpandToggle: any;
    isExpanded: boolean;
    treeDepth: number;
    name: string;
    columnGroupName: string;
}
export declare class DefaultRowGroupRenderer extends React.Component<DefaultRowGroupRendererProps, any> {
    treeDepth: number;
    marginLeft: number;
    style: {
        height: string;
        border: string;
        paddingTop: string;
        paddingLeft: string;
    };
    onKeyDown: (e: any) => void;
    render(): JSX.Element;
}
export interface Props {
    height: number;
    columns: any;
    row: any;
    cellRenderer: Function;
    cellMetaData: cellMetaDataShape;
    isSelected: boolean;
    idx: number;
    expandedRows: any;
    extraClasses: string;
    forceUpdate: boolean;
    subRowDetails: any;
    isRowHovered: boolean;
    colVisibleStart: number;
    colVisibleEnd: number;
    colDisplayStart: number;
    colDisplayEnd: number;
    isScrolling: boolean;
    columnGroupName: string;
    isExpanded: boolean;
    treeDepth: number;
    name: string;
    renderer: Function;
}
declare class RowGroup extends React.Component<Props, any> {
    static defaultProps: Partial<Props>;
    rowGroupRenderer: any;
    constructor(props: Props);
    onRowExpandToggle(expand: any): void;
    onRowExpandClick(): void;
    setScrollLeft(scrollLeft: any): void;
    render(): JSX.Element;
}
export default RowGroup;
