/// <reference types="react" />
import * as React from 'react';
export interface ViewportScrollState {
    displayStart: number;
    displayEnd: number;
    height: number;
    scrollTop: number;
    scrollLeft: number;
    visibleStart: number;
    visibleEnd: number;
    colVisibleStart: number;
    colVisibleEnd: number;
    colDisplayStart: number;
    colDisplayEnd: number;
}
declare const ViewPortMixin: {
    propTypes: {
        rowHeight: React.Requireable<any>;
        rowsCount: React.Validator<any>;
    };
    mixins: {
        contextTypes: {
            metricsComputator: {};
        };
        componentWillMount(): void;
        componentDidMount(): void;
        componentWillUnmount(): any;
        registerMetrics(metrics: any): any;
        getMetric(name: string): any;
    }[];
    DOMMetrics: {
        viewportHeight(): number;
        viewportWidth(): number;
    };
    getDefaultProps(): {
        rowHeight: number;
    };
    getInitialState(): ViewportScrollState;
    getGridState(props: {
        rowHeight: number;
        rowsCount: number;
        minHeight: number;
        columnMetrics: any;
        rowOffsetHeight: any;
    }): ViewportScrollState;
    getRenderedColumnCount(displayStart: any, width: any): number;
    getVisibleColStart(scrollLeft: any): number;
    resetScrollStateAfterDelay(): void;
    resetScrollStateAfterDelayCallback(): void;
    updateScroll(scrollTop: number, scrollLeft: number, height: number, rowHeight: number, length: number, width: any): void;
    metricsUpdated(): void;
    componentWillReceiveProps(nextProps: {
        rowHeight: number;
        rowsCount: number;
        rowOffsetHeight: number;
        minHeight: any;
        columnMetrics: any;
    }): void;
};
export default ViewPortMixin;
