/// <reference types="react" />
import * as React from 'react';
export interface Props {
    rowIdx: number;
    rowData: any;
    value: any;
    cellMetaData: {
        selected: any;
        copied: any;
        dragged: any;
        onCellClick(): void;
        onCellDoubleClick(): void;
        onCommitCancel(): void;
        onCommit(obj: any): void;
    };
    column: any;
    height: number;
    idx?: any;
}
export interface State {
    isInvalid: boolean;
}
declare class EditorContainer extends React.Component<Props, State> {
    changeCommitted: boolean;
    changeCanceled: boolean;
    editor: any;
    constructor(props: Props);
    componentDidMount(): void;
    componentWillUnmount(): void;
    createEditor(): JSX.Element;
    onPressEnter(): void;
    onPressTab(): void;
    onPressEscape(e: any): void;
    onPressArrowDown(e: any): void;
    onPressArrowUp(e: any): void;
    onPressArrowLeft(e: any): void;
    onPressArrowRight(e: any): void;
    editorHasResults(): boolean;
    editorIsSelectOpen(): any;
    getRowMetaData(): any;
    getEditor(): any;
    getInputNode(): HTMLInputElement;
    getInitialValue(): string;
    getContainerClass(): string;
    commit(args: {
        key: string;
    }): void;
    commitCancel(): void;
    isNewValueValid(value: string): boolean;
    setCaretAtEndOfInput(): void;
    isCaretAtBeginningOfInput(): boolean;
    isCaretAtEndOfInput(): boolean;
    isBodyClicked(e: any): boolean;
    isViewportClicked(e: any): boolean;
    isClickInisdeEditor(e: any): any;
    getRelatedTarget(e: any): any;
    handleRightClick(e: any): void;
    handleBlur(e: any): void;
    setTextInputFocus(): void;
    renderStatusIcon(): JSX.Element | undefined;
    render(): JSX.Element;
}
export default EditorContainer;
