/// <reference types="react" />
import * as React from 'react';
import { PeoplePickerSearchType, MoreInfoOn } from './PickerEnum';
import { PeopleInfo } from './PeopleInfo';
import { IPickerSource } from './IPickerSource';
export interface State {
    people: string;
    searchItems: PeopleInfo[];
    selectedItems: PeopleInfo[];
    moreInfo: boolean;
}
export declare type Type = 'hide' | 'mark';
export interface Props {
    required?: boolean;
    selectedResultsBehavior?: Type;
    filterPlaceHolder?: string;
    maxSelectedItems?: number;
    minSelectedItems?: number;
    millisecondsToWaitBeforeSearch?: number;
    chipComponent: React.ReactNode;
    searchResultComponent: React.ReactNode;
    moreInfoComponent?: React.ReactNode;
    peoplePickerSearchType: PeoplePickerSearchType;
    source: IPickerSource;
    moreInfoComponentShowOn?: MoreInfoOn;
    searchBehavior?(): void;
    onSelect?(item: any): void;
    onRemove?(item: any): void;
    onMoreInfo?(): void;
}
declare class Picker extends React.Component<Props, State> {
    constructor(props: any);
    render(): JSX.Element;
    private handleChange;
    private onSuccess;
    private onError;
    private handleRemove;
    private handleSelect;
    private handleMoreInfo;
}
export default Picker;
