/// <reference types="react" />
import * as React from 'react';
export declare type CrossOrigin = 'anonymous' | 'use-credentials';
export declare type Preload = 'none' | 'metadata' | 'auto';
export declare enum VideoType {
    WebM = 0,
    MP4 = 1,
    Ogg = 2,
}
export interface VideoSource {
    src: string;
    type: VideoType;
}
export interface Props {
    poster: URL;
    src: VideoSource[];
    autoplay?: boolean;
    controls?: boolean;
    crossorigin?: CrossOrigin;
    loop?: boolean;
    muted?: boolean;
    preload?: Preload;
    theme?: any;
    style?: React.CSSProperties;
}
export default class Video extends React.PureComponent<Props, any> {
    static defaultProps: Partial<Props>;
    getVideoType: (videoType: VideoType) => string;
    render(): JSX.Element;
}
